 
export BUILD_PATH=$PWD

if [[ ! -f $BUILD_PATH/EMA_version ]]; then
        echo "0.0.0.0" > $BUILD_PATH/EMA_version
fi

if [ -f $BUILD_PATH/EMA_version ]; then
        export SVN=1
        echo "Using SVN"
else
        export SVN=0
        echo "Using Clear Case"
fi

if [[ "$SVN" == "1" ]]; then
        BASELINE=`cat $BUILD_PATH/EMA_version`
else
	if [ "$USER" != "builder" ]; then
		BASELINE=`cleartool lsstream -l | grep -A 5 "recommended baselines:" | grep EMA | sed 's/.*EMA-V/V/' | cut -d'@' -f1 | cut -d'V' -f2`
		RECOMMENDED_FIRST_LINE=`cleartool lsstream -l | grep -n "recommended baselines:" | cut -d':' -f1`
		DIFF_LINES=$(( RECOMMENDED_FIRST_LINE - FOUNDATION_FIRST_LINE))
		BASELINE=`cleartool lsstream -l | grep -A 5 "recommended baselines:" | grep EMA | sed 's/.*EMA-V/V/' | cut -d'@' -f1 | cut -d'V' -f2`
	else
		cd ..
		PWD=`pwd`
		#BASELINE=`basename $PWD | cut -d'-' -f2 | cut -d'V' -f2`
		BASELINE=`cleartool lsstream -l | grep -A 5 "recommended baselines:" | grep EMA | sed 's/.*EMA-V/V/' | cut -d'@' -f1 | cut -d'V' -f2 | tail -n 1`
		BASELINE="${BASELINE}_EMA"
		#cd ema
		cd EMA
	fi
fi

if [ "$BASELINE" == "" ]; then
	BASELINE=`cleartool lsstream -l | grep -5 $DIFF_LINES "foundation baselines:" | grep _EMA_BL | cut -d'@' -f1 | sed 's/.*EMA-V/V/' |cut -d'V' -f2| head -n 1`
fi

if [ "$USER" != "builder" ]; then
	BASELINE="$BASELINE"_"$USER"_`date +%Y_%m_%d_%H:%M`
	rm -f $BUILD_PATH/EMA_version
fi

echo "RPM_NAME=$BASELINE"

export Filename=Plcm-Ema
#-`echo $BASELINE | cut -d'.' -f1,2 | cut -d'_' -f1 `

rm -rf $BUILD_PATH/EmaRpmbuild

mkdir -p $BUILD_PATH/EmaRpmbuild/rpmbuild/SOURCES
mkdir -p $BUILD_PATH/EmaRpmbuild/rpmbuild/SPECS
mkdir -p $BUILD_PATH/EmaRpmbuild/rpmbuild/RPMS
mkdir -p $BUILD_PATH/EmaRpmbuild/rpmbuild/SRPMS
mkdir -p $BUILD_PATH/EmaRpmbuild/rpmbuild/BUILD
mkdir -p $BUILD_PATH/EmaRpmbuild/rpmbuild/BUILDROOT

cp -f $Filename.spec $BUILD_PATH/EmaRpmbuild/rpmbuild/SPECS

#Edit Version header in spec file
SED_BASELINE=`echo $BASELINE | sed 's/\./\\./g' | sed 's/:/_/g' `
echo $SED_BASELINE
sed -i -e "s/^Version:.*/Version:\t$SED_BASELINE/" $BUILD_PATH/EmaRpmbuild/rpmbuild/SPECS/$Filename.spec

#Edit Release header in spec file
Kernel=`uname -r | cut -d '-' -f 1`
# CentOS 5.8
if [[ "$Kernel" == "2.6.18" ]]; then
        RELEASE="1.el5"
elif [[ "$Kernel" == "2.6.32" ]]; then
        RELEASE="1.el6"
fi

sed -i -e "s/^Release:.*/Release:\t$RELEASE/" $BUILD_PATH/EmaRpmbuild/rpmbuild/SPECS/$Filename.spec



echo "Current path: $PWD"
if [ "$USER" != "builder" ]; then
	tar zcfh $BUILD_PATH/EmaRpmbuild/rpmbuild/SOURCES/$Filename.tar.gz EMA.Coordinator EMA.UI EMA.Utils index.html RmxManager.html robots.txt favicon.ico MakeRpm.sh Plcm-Ema.spec ../Schemas --exclude=.svn
else
	tar zcfh $BUILD_PATH/EmaRpmbuild/rpmbuild/SOURCES/$Filename.tar.gz EMA.Coordinator EMA.UI EMA.Utils index.html RmxManager.html robots.txt favicon.ico MakeRpm.sh Plcm-Ema.spec ../Schemas  --exclude=.svn
fi

cd $BUILD_PATH/EmaRpmbuild

# Creates additional RPM with custom name.
PROJECTDIR=$BUILD_PATH/EmaRpmbuild/
SPECFILE=rpmbuild/SPECS/$Filename.spec
BUILDROOT=$PROJECTDIR/rpmbuild/BUILDROOT/
RPMNAMES="\
         Plcm \
         ibm-sametime-vmcu-9.0.0.0 \
         "

for n in $RPMNAMES
do
  # Uses Plcm as placeholder.
  sed -i -e "s/Plcm/$n/" ${PROJECTDIR}${SPECFILE}

  rm -rf $BUILDROOT
  rpmbuild -bb --target=i386 --buildroot=$BUILDROOT $SPECFILE

  # Returns the placeholder.
  sed -i -e "s/$n/Plcm/" ${PROJECTDIR}${SPECFILE}
done

#rpmbuild --target=i386 -ba --buildroot=$HOME/EmaRpmbuild/rpmbuild/BUILDROOT/ rpmbuild/SPECS/$Filename.spec
#rpmbuild --target=i386 -bb --buildroot=$BUILD_PATH/EmaRpmbuild/rpmbuild/BUILDROOT/ rpmbuild/SPECS/$Filename.spec
